/*
 *	$Id: str2xbm.h,v 1.4 2004/04/10 16:45:08 solyga Exp $
 */

#define	DEBUG
#undef	DEBUG


#include	<stdio.h>
#include	<errno.h>
#include	<unistd.h>	/* getopt(), read(), write(), close(), FILENO */
#include	<stdlib.h>	/* exit */
#include	<string.h>	/* strlen */

#define	HELP_CHANNEL	stdout
#define	VERSION_CHANNEL	stdout
#define	STD_CHANNEL	stdout
#define	ERROR_CHANNEL	stderr
#define	VERBOSE_CHANNEL	stderr
#define	DEBUG_CHANNEL	stderr

#define	RETVAL_OK	 0
#define	RETVAL_BUG	 1
#define	RETVAL_INVAL	 2
#define	RETVAL_ERROR	 3

#define	VERBOSE_LEVEL_MAX	1	/* check this, may have changed */

#define	VERSION_NUMBER		"0.01.01"
#define	DATE_OF_LAST_MOD	"2004-04-10"
#define	MY_EMAIL_ADDRESS	"Steffen Solyga <solyga@absinth.net>"

const short bits[10][10] = {
  { 0x3c, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x3c },	/* 0 */
  { 0x10, 0x1c, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10 },	/* 1 */
  { 0x3c, 0x42, 0x42, 0x20, 0x10, 0x08, 0x04, 0x02, 0x02, 0x7e },	/* 2 */
  { 0x3c, 0x42, 0x42, 0x40, 0x38, 0x40, 0x40, 0x42, 0x42, 0x3c },	/* 3 */
  { 0x60, 0x50, 0x48, 0x48, 0x44, 0x42, 0xfe, 0x40, 0x40, 0x40 },	/* 4 */
  { 0x7e, 0x02, 0x02, 0x02, 0x3e, 0x40, 0x40, 0x42, 0x42, 0x3c },	/* 5 */
  { 0x3c, 0x42, 0x02, 0x02, 0x3a, 0x46, 0x42, 0x42, 0x42, 0x3c },	/* 6 */
  { 0x7e, 0x40, 0x20, 0x20, 0x10, 0x10, 0x08, 0x08, 0x04, 0x04 },	/* 7 */
  { 0x3c, 0x42, 0x42, 0x42, 0x3c, 0x42, 0x42, 0x42, 0x42, 0x3c },	/* 8 */
  { 0x3c, 0x42, 0x42, 0x42, 0x42, 0x7c, 0x40, 0x42, 0x42, 0x3c },	/* 9 */
};

const int bits_off0= 0x30;
const int bits_off1= 0x3a;
